3 Replies Latest reply: Sep 4, 2013 4:07 PM by Kosta-Oracle RSS

    Upgrading WLW 10.3 projects to OEPE Projects

    srikanth vallabhaneni
      We are aware of the fact that JAX-RPC WebServices are not supported in OEPE (supported on WLS 10.3.6 though), We may have to write custom ant builders to build JAX-RPC webservices until we get a chance to convert them to JAX-WS webservices. Pageflow support is not in regular OEPE (WLP has that support). For applications, that are deployed to WLS domains, we have to get the beehive jars from the apache attic and get them built with custom ant builders until we get a chance to upgrade to JSF or something else.

      How can we interpret the oracle.eclipse.tools.common.upgrade.log.xml file that gets generated in the projects .settings folder when we open the WLW 10.3 projects in OEPE and choose upgrade projects when prompted.

      Here are some changes we are noticing. We have to do many of these manually.

      com.bea.workshop.xmlbeans.core.XMLBeansBuilder does not work, we have to replace that with oracle.eclipse.tools.xmlbeans.XMLBeansBuilder in .project files

      com.bea.workshop.wls.ejb.core.EJBGenBuilder does not work we have to replace that with oracle.eclipse.tools.weblogic.EJBGenBuilder in .project files

      .factorypath files have to be modfied to have valid entries

      we need to look for missing builders

      com.bea.workshop.wls.core.AppLibrariesContainer is the legacy classpath container and oracle.eclipse.tools.weblogic.lib.application is the new classpath container for APP_INF/lib jars

      com.bea.workshop.wls.j2eelib is the legacy shared library container and oracle.eclipse.tools.weblogic.lib.shared is the new shared library container

      com.bea.workshop.wls.syslib is the legacy system library container and oracle.eclipse.tools.weblogic.lib.system is the new system library container

      .settings/com.bea.workshop.wls.core.systemlibs.xml is the old file and .settings/oracle.eclipse.tools.weblogic.syslib.xml is the new file

      Is there any documentation on doing any inplace upgrade of workshop 10.3 to eclipse OEPE projects?